<?php
include ("../conexion.php");
include ("../funciones/fechas.php");

$cdgtipcxp=$_POST["combotipocxp"];
$cdgtipven=$_POST["combotipoventa"];

$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];

 $fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 



//$numfactura2=$_POST["numfactura2"];

$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($cdgtipcxp <> "") { $where.=" AND cdgtipcxp='$cdgtipcxp'"; }
if ($cdgtipven <> "") { $where.=" AND cdgtipven='$cdgtipven'"; }

if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND fecpro between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND fecpro>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND fecpro<='".$fechafin."'";
		}
	}
}

 $where.=" ORDER BY fecpro ASC";

  
  if ($result = $mysqli->query("SELECT * FROM web_2201 WHERE  ".$where)) {
   $filas = $result->num_rows;
   $result->close();
}
 
 

	       $consulta2= ("SELECT SUM(totfac) AS totalfactura , SUM(subfac) AS subtot , SUM(desfactot) AS destot , SUM(impfac) AS impven  FROM web_2201 WHERE  ".$where);

		if ($resultado2 = $mysqli->query($consulta2)) 

 
  	 while ($dato = $resultado2->fetch_assoc()) {
  						
	 $totalfacturas=$dato["totalfactura"];
	 $subtot=$dato["subtot"];
	 $destot=$dato["destot"];
	 $impven=$dato["impven"];
	 
	 
	 $subtot=number_format($subtot,2,",",".");
	 $destot=number_format($destot,2,",",".");
	 $impven=number_format($impven,2,",",".");
	 $totalfacturas=number_format($totalfacturas,2,",",".");
}
?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		colorfondo;
		
		function ver_proforma(codfactura) {
			parent.location.href="ver_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
		function modificar_proforma(codfactura,marcaestado) {
			if (marcaestado==1) {
				parent.location.href="modificar_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			} else {
				alert ("No puede modificar una factura ya pagada.");
			}
		}
		
	//////////////////////////////////////  funcion anular factura //////////////////////////////////////////////////////

		function eliminar_proforma(codfactura,marcaborrado) {
			if (marcaborrado==1) {
		       alert ("Favor verifique factura ya fue ANULADA !");
					} else {	
			parent.location.href="eliminar_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			
			}
		}
					      

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function pon_prefijo(subtot,destot,impven,totalfacturas) {
	parent.document.form_busqueda.subtot.value=subtot;
	parent.document.form_busqueda.destot.value=destot;
	parent.document.form_busqueda.impven.value=impven;
	parent.document.form_busqueda.totalfacturas.value=totalfacturas;
	
    
}

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<?php echo $totalfacturas?>">
				<?php 
					if ($filas > 0) {
					
					
		$contador=0;
$marcaestado=0;	
$marcaborrado=0;		

			$consulta = "SELECT *FROM web_2201 WHERE   ".$where;
if ($resultado = $mysqli->query($consulta)) 

 
    while ($fila = $resultado->fetch_assoc()) {
        $marcaestado   = $fila["estado"];
        $marcaborrado  = $fila["borrado"];
        $fecpro        = $fila["fecpro"];
		$fecpro        = implode("-", array_reverse(explode("-", $fecpro)));
		$numfac        = $fila["numfac"];
		$cdgpro        = $fila["cdgpro"];
		$dscpro        = $fila["dscpro"];
		$totfac        = $fila["totfac"];			
					
					
		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }
					    if ( $marcaborrado == 1) { $borrado="Nula"; } else { $borrado=""; } 	?>				
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td width="4%"><?php $contador+1;?></td>
								<td width="14%"><div align="left"><?php echo $numfac?>
                                </div></td>
                                	<td width="14%" align="center"><div align="left"><?php echo $fecpro?>
                                </div></td>
								<td width="6%" align="right"><div align="left"><?php echo $cdgpro?></div></td>	
								<td width="41%"><div align="left"><?php echo $dscpro?></div></td>	
								<td width="9%"><div align="left"><?php echo $borrado; ?></div></td>							
								<td width="9%"><div align="right"><?php echo number_format($totfac,2,".",",")?></div></td>
		
								<td width="3%"><div align="center"></div></td>
						</tr>
						</tr>	
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo 	"No hay ninguna factura que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>	
                    	
                    
                 <script languaje="javascript">
	pon_prefijo("<?php echo $subtot ?>","<?php echo $destot ?>","<?php echo $impven ?>","<?php echo $totalfacturas ?>");
	
		</script>			
				</div>
			</div>
		  </div>			
		</div>
	</body>
</html>
